## kfilemetadata 4.13.0

=== autotests/CMakeLists.txt ===
configure_file(indexerextractortestsconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/indexerextractortestsconfig.h @ONLY)

kde4_add_unit_test(extractortests
  indexerextractortests.cpp
  simpleresult.cpp
  ../src/extractors/plaintextextractor.cpp
)

target_link_libraries(extractortests
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  kfilemetadata
)

#
# Property Info
#
kde4_add_unit_test(propertyinfotest
  propertyinfotest.cpp
)

target_link_libraries(propertyinfotest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  kfilemetadata
)

=== src/extractors/CMakeLists.txt ===
if(POPPLER_QT4_FOUND)
    include_directories(${POPPLER_QT4_INCLUDE_DIR})

    kde4_add_plugin(kfilemetadata_popplerextractor popplerextractor.cpp)

    target_link_libraries(kfilemetadata_popplerextractor
        kfilemetadata
        ${KDE4_KIO_LIBS}
        ${POPPLER_QT4_LIBRARIES}
    )

    install(
    FILES kfilemetadata_popplerextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS kfilemetadata_popplerextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(POPPLER_QT4_FOUND)

if(TAGLIB_FOUND)
    include_directories( ${TAGLIB_INCLUDES} )

    kde4_add_plugin( kfilemetadata_taglibextractor taglibextractor.cpp )

    target_link_libraries( kfilemetadata_taglibextractor
        kfilemetadata
        ${KDE4_KIO_LIBS}
        ${TAGLIB_LIBRARIES}
    )

    install(
    FILES kfilemetadata_taglibextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS kfilemetadata_taglibextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(TAGLIB_FOUND)

if(EXIV2_FOUND)
    include_directories( ${EXIV2_INCLUDE_DIR} )

    set_source_files_properties( exiv2extractor.cpp PROPERTIES
        COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}"
        )

    kde4_add_plugin(kfilemetadata_exiv2extractor exiv2extractor.cpp)

    target_link_libraries(kfilemetadata_exiv2extractor
        kfilemetadata
        ${KDE4_KIO_LIBS}
        ${EXIV2_LIBRARIES}
    )

    install(
    FILES kfilemetadata_exiv2extractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS kfilemetadata_exiv2extractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(EXIV2_FOUND)

if(FFMPEG_FOUND)
    include_directories( ${FFMPEG_INCLUDE_DIRS} )

    kde4_add_plugin(kfilemetadata_ffmpegextractor ffmpegextractor.cpp)

    target_link_libraries(kfilemetadata_ffmpegextractor
        kfilemetadata
        ${KDE4_KIO_LIBS}
        ${FFMPEG_LIBRARIES}
    )

    install(
    FILES kfilemetadata_ffmpegextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS kfilemetadata_ffmpegextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(FFMPEG_FOUND)


if(EPUB_FOUND)
    include_directories( ${EPUB_INCLUDE_DIR} )

    kde4_add_plugin(kfilemetadata_epubextractor epubextractor.cpp)

    target_link_libraries(kfilemetadata_epubextractor
        kfilemetadata
        ${KDE4_KIO_LIBS}
        ${EPUB_LIBRARIES}
    )

    install(
    FILES kfilemetadata_epubextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS kfilemetadata_epubextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})

endif(EPUB_FOUND)

#
# Plain Text
#
kde4_add_plugin( kfilemetadata_plaintextextractor plaintextextractor.cpp )

target_link_libraries( kfilemetadata_plaintextextractor
    kfilemetadata
    ${KDE4_KIO_LIBS}
    ${FFMPEG_LIBRARIES}
)

install(
FILES kfilemetadata_plaintextextractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS kfilemetadata_plaintextextractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# ODF
#

kde4_add_plugin(kfilemetadata_odfextractor odfextractor.cpp)

target_link_libraries(kfilemetadata_odfextractor
    kfilemetadata
    ${KDE4_KIO_LIBS}
)

install(
FILES kfilemetadata_odfextractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS kfilemetadata_odfextractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Office 2007
#

kde4_add_plugin(kfilemetadata_office2007extractor office2007extractor.cpp)

target_link_libraries(kfilemetadata_office2007extractor
    kfilemetadata
    ${KDE4_KIO_LIBS}
)

install(
FILES kfilemetadata_office2007extractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS kfilemetadata_office2007extractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Office (binary formats)
#

kde4_add_plugin(kfilemetadata_officeextractor officeextractor.cpp)

target_link_libraries(kfilemetadata_officeextractor
    kfilemetadata
    ${KDE4_KIO_LIBS}
)

install(
FILES kfilemetadata_officeextractor.desktop
DESTINATION ${SERVICES_INSTALL_DIR})

install(
TARGETS kfilemetadata_officeextractor
DESTINATION ${PLUGIN_INSTALL_DIR})

#
# Mobipocket
#
if (QMOBIPOCKET_FOUND)
    kde4_add_plugin(kfilemetadata_mobiextractor mobiextractor.cpp)

    include_directories(${QMOBIPOCKET_INCLUDE_DIR})
    target_link_libraries(kfilemetadata_mobiextractor
        kfilemetadata
        ${KDE4_KIO_LIBS}
        ${QMOBIPOCKET_LIBRARIES}
    )

    install(
    FILES kfilemetadata_mobiextractor.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

    install(
    TARGETS kfilemetadata_mobiextractor
    DESTINATION ${PLUGIN_INSTALL_DIR})
endif(QMOBIPOCKET_FOUND)

=== debian/changelog ===
kfilemetadata (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:01:18 +0100

kfilemetadata (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:24:50 +0200

kfilemetadata (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:26:46 +0100

kfilemetadata (4:4.12.90-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * Initial release

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:55:44 +0000

=== debian/control ===
Source: kfilemetadata
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9.0.0), cmake,
 pkg-kde-tools,
 kdelibs5-dev (>= 4:4.13.0),
 libpoppler-qt4-dev,
 libtag1-dev,
 libexiv2-dev,
 libepub-dev,
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libswscale-dev,
 libqmobipocket-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://projects.kde.org/kfilemetadata

Package: libkfilemetadata-dev
Section: libdevel
Architecture: any
Depends: libkfilemetadata4 (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends}
Description: library for extracting file metadata -- development files
 A library for extracting file metadata -- development headers and
 cmake files.

Package: libkfilemetadata4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for extracting file metadata
 A library for extracting file metadata

Package: kfilemetadata-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libkfilemetadata4 (= ${binary:Version})
Description: library for extracting file metadata -- debug symbols
 A library for extracting file metadata -- debug symbols

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

%:
	dh $@

override_dh_strip:
	dh_strip --dbg-package=kfilemetadata-dbg

.PHONY: override_dh_auto_test

## kfilemetadata 4.13.3

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 configure_file(indexerextractortestsconfig.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/indexerextractortestsconfig.h @ONLY)
 
-kde4_add_unit_test(extractortests
+kde4_add_unit_test(extractortests NOGUI
   indexerextractortests.cpp
   simpleresult.cpp
   ../src/extractors/plaintextextractor.cpp
@@ -16,7 +16,7 @@
 #
 # Property Info
 #
-kde4_add_unit_test(propertyinfotest
+kde4_add_unit_test(propertyinfotest NOGUI
   propertyinfotest.cpp
 )

=== debian/changelog ===
kfilemetadata (4:4.13.3-0ubuntu0.2) trusty-security; urgency=medium

  * No change rebuild for the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Nov 2014 09:50:02 -0500

kfilemetadata (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:28:48 +0200

kfilemetadata (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:48:47 +0200

kfilemetadata (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: kfilemetadata
 Priority: optional
-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: debhelper (>= 9.0.0), cmake,
  pkg-kde-tools,
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libpoppler-qt4-dev,
  libtag1-dev,
  libexiv2-dev,

## kfilemetadata 4.14.0

=== CMakeLists.txt ===
project(kfilemetadata)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

find_package(PopplerQt4 0.12.1)
set_package_properties(PopplerQt4 PROPERTIES DESCRIPTION "A PDF rendering library"
                       URL "http://poppler.freedesktop.org" TYPE OPTIONAL
                       PURPOSE "Support for PDF files")

find_package(Taglib)
set_package_properties(Taglib PROPERTIES DESCRIPTION "Id3 tag reader"
                       URL "http://developer.kde.org/~wheeler/taglib.html" TYPE OPTIONAL
                       PURPOSE "Support for music metadata")

find_package(Exiv2 0.21)
set_package_properties(Exiv2 PROPERTIES DESCRIPTION "Image Tag reader"
                       URL "http://www.exiv2.org" TYPE OPTIONAL
                       PURPOSE "Support for image metadata")

find_package(FFmpeg 1.0)
set_package_properties(FFmpeg PROPERTIES DESCRIPTION "Video Tag reader"
                       URL "http://ffmpeg.org" TYPE OPTIONAL
                       PURPOSE "Support for video metadata")

find_package(EPub)
set_package_properties(EPub PROPERTIES DESCRIPTION "Ebook epub reader"
                       URL "http://sourceforge.net/projects/ebook-tools" TYPE OPTIONAL
                       PURPOSE "Support for epub metadata")

find_package(QMobipocket)
set_package_properties(QMobipocket PROPERTIES DESCRIPTION "Mobipocket epub reader"
                       URL "https://projects.kde.org/projects/kde/kdegraphics/kdegraphics-mobipocket"
                       TYPE OPTIONAL PURPOSE "Support for mobi metadata")

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
)

add_subdirectory(src)
add_subdirectory(autotests)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/KFileMetaDataConfig.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/KFileMetaDataConfig.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KFileMetaDataConfig.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/KFileMetaData)

macro_display_feature_log()

=== debian/changelog ===
kfilemetadata (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 05:30:11 +0200

kfilemetadata (4:4.13.3-1) unstable; urgency=medium

  * Improve copyright information, thanks to Scott Kitterman.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 09:43:56 +0200

kfilemetadata (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 07:32:17 -0700

kfilemetadata (4:4.13.90-0ubuntu2) utopic; urgency=medium

  * Add build-dep on pkg-config

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jul 2014 17:29:27 +0200

kfilemetadata (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 15:04:01 -0700

kfilemetadata (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:55:46 +0100

kfilemetadata (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 13 Jun 2014 15:45:13 +0200

kfilemetadata (4:4.13.1-1) unstable; urgency=medium

  * Initial release, based on the kubuntu packages.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 May 2014 20:27:37 +0200

=== debian/control ===
Source: kfilemetadata
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.13.0),
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libepub-dev,
               libexiv2-dev,
               libpoppler-qt4-dev,
               libqmobipocket-dev,
               libswscale-dev,
               libtag1-dev,
               pkg-kde-tools,
               pkg-config
Standards-Version: 3.9.5
Section: libs
XS-Testsuite: autopkgtest
Homepage: http://projects.kde.org/kfilemetadata
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kfilemetadata.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kfilemetadata.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata

Package: libkfilemetadata-dev
Section: libdevel
Architecture: any
Depends: libkfilemetadata4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for extracting file metadata -- development files
 A library for extracting file metadata -- development headers and
 cmake files.

Package: libkfilemetadata4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 A library for extracting file metadata

Package: kfilemetadata-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkfilemetadata4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for extracting file metadata -- debug symbols
 A library for extracting file metadata -- debug symbols

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# disable unit testing on build, avoid the extra build-dependencies
.PHONY: override_dh_auto_test

override_dh_strip:
	dh_strip --dbg-package=kfilemetadata-dbg

## kfilemetadata 4.14.1

=== debian/changelog ===
kfilemetadata (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 17:11:37 +0200

kfilemetadata (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:06:13 +0200

kfilemetadata (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:43:11 +0200

kfilemetadata (4:4.13.1-2) UNRELEASED; urgency=medium

  * Improve copyright information, thanks to Scott Kitterman.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 19 May 2014 14:17:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: kfilemetadata
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.13.0),
+               kdelibs5-dev (>= 4:4.14.0),
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,
@@ -21,10 +22,10 @@
 Section: libs
 XS-Testsuite: autopkgtest
 Homepage: http://projects.kde.org/kfilemetadata
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kfilemetadata.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kfilemetadata.git
-X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata
-X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kfilemetadata.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kfilemetadata.git
 
 Package: libkfilemetadata-dev
 Section: libdevel

## kfilemetadata 4.14.2

=== src/CMakeLists.txt ===
kde4_add_library(kfilemetadata SHARED
    extractionresult.cpp
    extractorplugin.cpp
    extractorpluginmanager.cpp
    propertyinfo.cpp
    typeinfo.cpp
)

target_link_libraries(kfilemetadata
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
)

set_target_properties(kfilemetadata PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS kfilemetadata ${INSTALL_TARGETS_DEFAULT_ARGS})

install(TARGETS kfilemetadata EXPORT KdeLibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kfilemetadataextractor.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

install(EXPORT KdeLibsLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/KFileMetaData
        FILE KFileMetaDataTargetsWithPrefix.cmake)

install(FILES
    extractionresult.h
    extractorplugin.h
    extractorpluginmanager.h
    properties.h
    propertyinfo.h
    types.h
    typeinfo.h
    kfilemetadata_export.h

    DESTINATION ${INCLUDE_INSTALL_DIR}/kfilemetadata COMPONENT Devel
)

add_subdirectory(extractors)

=== debian/changelog ===
kfilemetadata (4:4.14.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:14:22 +0200

kfilemetadata (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix spaces in copyright shortname and use LGPL-KDEeV for KDE clause.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:49:51 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.14.0),
+               kdelibs5-dev (>= 4:4.14.2),
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kfilemetadata-([\d.]+).tar.xz

## kfilemetadata 4.14.3

=== debian/changelog ===
kfilemetadata (4:4.14.3-2) unstable; urgency=medium

  * Team upload.
  * Remove PDF support, since poppler-qt4 is dropped upstream (Closes: #883499)
    - remove the libpoppler-qt4-dev build dependency
  * Remove Mobipocket support, since libqmobipocket is ported to Qt5
    - remove the libqmobipocket-dev build dependency
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove not needed Testsuite header.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Dec 2017 21:09:54 +0100

kfilemetadata (4:4.14.3-1) unstable; urgency=medium

  * Team upload.
  * Last upstream release.
  * Remove kfilemetadata-dbg in favour of the -dbgsym packages.
  * Update Vcs-* fields.
  * Remove obsolete Ubuntu fields.
  * Rename XS-Testsuite field as Testsuite.
  * Small fix to copyright.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Backport upstream commit e6ce5bc30ecc40343da35affe2edb65947204ea4 to set
    the cmake minimum version required and policies, and build properly with
    that; patch upstream_fix-cmake-policy-warnings.patch.
  * Stop using ${shlibs:Depends} in libkfilemetadata-dev, as it's empty.
  * Remove duplicate Section field in libkfilemetadata4.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Jul 2016 20:12:13 +0200

=== debian/control ===
Source: kfilemetadata
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.13.0),
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libepub-dev,
               libexiv2-dev,
               libswscale-dev,
               libtag1-dev,
               pkg-kde-tools,
               pkg-config
Standards-Version: 4.1.1
Section: libs
Homepage: http://projects.kde.org/kfilemetadata
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/kfilemetadata.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/kfilemetadata.git

Package: libkfilemetadata-dev
Section: libdevel
Architecture: any
Depends: libkfilemetadata4 (= ${binary:Version}),
         ${misc:Depends},
Description: library for extracting file metadata -- development files
 A library for extracting file metadata -- development headers and
 cmake files.

Package: libkfilemetadata4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 A library for extracting file metadata

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 .PHONY: override_dh_auto_test
 
 override_dh_strip:
-	dh_strip --dbg-package=kfilemetadata-dbg
+	dh_strip --dbgsym-migration='kfilemetadata-dbg (<< 4:4.14.3-1)'

=== debian/watch ===
version=4
https://download.kde.org/stable/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz
